Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005823opensim[REGION] Scripting Enginepublic2011-12-14 16:112011-12-16 13:19
Reporterdanbanner 
Assigned Tojustincc 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOpensimOSlinuxOS Version64bit
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005823: setting water height to negative value with osSetRegionWaterHeight crashes the viewer
Descriptionsetting water height to negative value with osSetRegionWaterHeight crashes the viewer. I used the script on opensimulator.org to set water height and it works as expected even down to 0m. Setting water height any lower prevents login to the region and crashes the viewer on direct login.
TagsNo tags attached.
Git Revision or version numberb242ced
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux64, Mono / Windows
Mono Version2.10
Viewerastra, imprudence, etc
Attached Filespatch file icon 001-[Patch] Ignore-setting-negative-water-height.patch [^] (955 bytes) 2011-12-15 06:24 [Show Content]

- Relationships

-  Notes
(0020525)
danbanner (manager)
2011-12-14 16:14

Looking at the region/estate panel of the viewer seems the maximum is 100m and lowest value is 0m
(0020526)
casiasfalta (reporter)
2011-12-14 17:03

Note that it is not the function that is the problem. the same crash of the client will happen if you set the water-height value in the regionsettings database table.
(0020527)
danbanner (manager)
2011-12-14 17:05

the function is fine. setting water height to a neg value is the problem and the function shouldn't allow it :)
(0020528)
Michelle Argus (reporter)
2011-12-15 06:25

Added a patch which will cause negative water height values to silently fail
(0020552)
justincc (administrator)
2011-12-16 13:19

Thanks Michelle. Patch applied as git master 5c40566.

Ideally, I think osSetRegionWaterHeight() would check and let the user know they are trying to set a bad value, but I know the rest of OpenSim scripting isn't good at conveying messages back to the user at the moment so I don't think that it's a big deal. And a check at a lower level of code is probably a good idea anyway.

- Issue History
Date Modified Username Field Change
2011-12-14 16:11 danbanner New Issue
2011-12-14 16:14 danbanner Note Added: 0020525
2011-12-14 17:03 casiasfalta Note Added: 0020526
2011-12-14 17:05 danbanner Note Added: 0020527
2011-12-15 06:24 Michelle Argus File Added: 001-[Patch] Ignore-setting-negative-water-height.patch
2011-12-15 06:25 Michelle Argus Note Added: 0020528
2011-12-15 06:25 Michelle Argus Status new => patch included
2011-12-16 13:19 justincc Note Added: 0020552
2011-12-16 13:19 justincc Status patch included => closed
2011-12-16 13:19 justincc Assigned To => justincc
2011-12-16 13:19 justincc Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker